/*
 * Test.java
 *  
 * Copyright 2008 C.A. Meijer
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jmunit.anttask.cldc10;

import org.apache.tools.ant.BuildException;

/**
 * The Test class is a nested element of the Jmunit task. It specifies a JMUnit
 * <code>Test</code> that needs to be run.
 * 
 * @author C.A. Meijer
 * @since JMUnit 1.1
 */
public class Test {

	// The name of the test class.
	private String name;

	// The directory where the results of this test must be written.
	private String todir = ".";

	/**
	 * 
	 * @return The directory where test results must be written.
	 */
	public String getTodir() {
		return todir;
	}

	/**
	 * 
	 * @param todir The directory where test results must be written.
	 */
	public void setTodir(String todir) {
		this.todir = todir;
	}

	/**
	 * @param name  Sets the class name for the test.
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * 
	 * @return The name of the test class.
	 */
	public String getName() {
		if (this.name == null) {
			throw new BuildException("No test was specified.");
		}
		return this.name;
	}
}
