/*
 * Formatter.java
 *  
 * Copyright 2008 C.A. Meijer
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jmunit.anttask.cldc11;

import org.apache.tools.ant.BuildException;

/**
 * The Formatter class is a nested element of the Jmunit task. Currently it only
 * supports XML format.
 * 
 * @author C.A. Meijer
 * @since JMUnit 1.1
 */
public class Formatter {

	// The only supported type is XML.
	private String type = "xml";

	/**
	 * 
	 * @return The type of formatting required.
	 */
	public String getType() {
		return type;
	}

	/**
	 * Sets how the test results should be formatted.
	 * 
	 * @param type
	 *            The type of formatting.
	 */
	public void setType(String type) {
		if (!type.equals("xml")) {
			throw new BuildException("Unsupported type");
		}
		this.type = type;
	}

}
